.header {
  position: sticky;
  top: 0;
  right: 0;
  z-index: 50;
  background: var(--vitrine-base-color);
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 15px 3% 10px;
  width: 100%;
  font-family: 'Avenir Heavy', sans-serif;
  box-sizing: border-box;
  overflow: hidden;
}
.hero__logo {
  top: 15%;
  right: 2rem;
  left: auto;
  transform: translateX(0);
}
.hero__logo .logo {
  margin-bottom: 0;
}

.hero__logo .logo .logo__title {
  font-size: 1rem;
}
.header__left,
.header__right {
  display: flex;
  align-items: center;
  gap: 1rem;
}
.header .header__navbar {
  display: none;
}

.btn-menu {
  font-size: 2rem;
}
.btn-menu > img {
  height: 2.5rem;
  width: auto;
  vertical-align: -0.5rem;
}

.header__nav-list {
  display: none;
  flex-direction: column;
  align-items: flex-start;
  gap: 1.5rem;
  margin: 0;
  padding: 0;
}

.header__nav-item {
  flex: none;
  display: flex;
  align-items: center;
  padding: 0;
}
.header__nav-link {
  font-size: clamp(0.95rem, 0.5rem + 0.9vw, 1.15rem);
  line-height: 1;
  color: var(--vitrine-black-color-2);
  transition: color 0.2s ease;
}
.header__nav-link.active {
  font-family: 'Avenir Black', sans-serif;
  color: var(--vitrine-black-color);
}
.header__nav-link:hover {
  color: var(--vitrine-black-color);
}
.btn-text,
.btn-icon {
  font-size: clamp(0.95rem, 0.4rem + 0.8vw, 1.05rem);
  color: var(--vitrine-black-color);
  white-space: nowrap;
}

.btn-text,
.btn-icon {
  min-width: 28px;
  min-height: 28px;
}

.btn-icon img {
  height: 1.25rem;
  width: auto;
  vertical-align: -0.25rem;
}

/* MAIN MENU */
.main-nav ul {
  list-style: none;
  margin: 0;
  padding: 0;
  display: flex;
  gap: 20px;
  background: #fff;
}

.main-nav li {
  position: relative; /* needed for submenu positioning */
}

.main-nav a {
  text-decoration: none;
  padding: 10px 15px;
  display: block;
  color: #222;
  font-weight: 500;
}
header .logo-img {
  height: 43px;
  width: auto;
}
.submenu {
  display: none;
  position: absolute;
  top: 2rem;
  left: 0;
  background-color: var(--vitrine-black-color);
  z-index: 999;
  flex-direction: column;
  padding: 0.4rem 0.3rem;
}
.submenu li {
  float: left;
  text-wrap: nowrap;
}
.submenu a {
  color: var(--vitrine-white-color);
  padding: 8px 12px;
  text-align: center;
}
.submenu a:hover {
  text-decoration: underline;
}
.has-submenu {
  position: relative;
}
.has-submenu:hover .submenu {
  display: flex;
}

/* Mobile in Landscape */
@media screen and (max-width: 1023px) and (orientation: landscape) {
  .header {
    padding: 0 3%;
  }
  .btn-menu {
    min-height: 26px;
  }
}

/* ---------- Large Mobile --------- */
@media screen and (min-width: 480px) {
}

/* ------------- Tablet ---------- */
@media screen and (min-width: 768px) {
}

/* ------------ Small Laptop ---------- */
@media screen and (min-width: 1024px) {
  .hero__logo {
    display: none;
  }
  .hero__logo {
    position: absolute;
    top: 5%;
    left: 50%;
    transform: translateX(-50%);
    width: max-content;
    flex-direction: column;
    z-index: 10;
  }
  .hero__logo .logo {
    color: var(--vitrine-white-color);
  }

  .header {
    padding: 22px 5% 12px;
    overflow: visible;
  }
  .header .header__navbar {
    display: flex;
  }
  .header__nav-list,
  .header__right {
    gap: 0.1rem;
  }
  .header__nav-list {
    display: flex;
    flex-direction: row;
    align-items: center;
  }

  .header__nav-link {
    font-size: 0.825rem;
    padding: 8px 6px;
  }
  .btn-text,
  .btn-icon {
    font-size: 0.825rem;
  }
  .btn-menu {
    display: none;
  }
}

/* ------------ Laptop ---------- */
@media screen and (min-width: 1280px) {
  .header {
    padding: 24px 5% 10px;
  }
  .header__nav-list,
  .header__right {
    gap: 0.2rem;
  }
  .header__nav-link {
    font-size: 0.925rem;
    padding: 8px 10px;
  }
  .btn-text,
  .btn-icon {
    font-size: 0.925rem;
  }
}

/* ------------ Large Screen ---------- */
@media screen and (min-width: 1526px) {
  .header {
    padding: 26px 6% 10px;
  }

  .header__nav-list {
    gap: 0.5rem;
  }
  .header__nav-link {
    font-size: 1rem;
    padding: 10px 12px;
  }

  .btn-text,
  .btn-icon {
    font-size: 1rem;
  }
}

/* ------------ Desktop ---------- */
@media screen and (min-width: 1920px) {
  .header {
    padding: 28px 8% 10px;
  }

  .header__nav-list {
    gap: 2rem;
  }

  .header__nav-link {
    font-size: 1.25rem;
    padding: 12px 6px;
  }

  .btn-text,
  .btn-icon {
    font-size: 1.25rem;
  }
}
